/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ParamCostoTarjetaDAO;
import com.rjconsultores.ventaboletos.entidad.ParamCostoTarjeta;

/**
 *
 * @author Rafius
 */
@Repository("paramCostoTarjetaDAO")
public class ParamCostoTarjetaHibernateDAO extends GenericHibernateDAO<ParamCostoTarjeta, Integer>
        implements ParamCostoTarjetaDAO {

    @Autowired
    public ParamCostoTarjetaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public List<ParamCostoTarjeta> buscar(ParamCostoTarjeta paramCostoTarjeta) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        c.add(Restrictions.eq("empresa", paramCostoTarjeta.getEmpresa()));
        c.add(Restrictions.eq("valcostoinicial", paramCostoTarjeta.getValcostoinicial()));

        return c.list();
    }
}
